#### D.15.1.1 arc

Procedure from library `arc.lib` (see arc_lib).

Usage:
  arc(I, J); arc(I, J, optList); I: ideal defining the scheme, J: ideal defining the fat point, optList: list of integers (optional) indices of coefficients to skip

Return:
  A ring containing the ideal arcideal in the variables of T.

Example:

    LIB "arc.lib";
    ring R = 0, (x,y), dp;
    ideal I = x^4 + y^3;
    ideal J = x^2,y^2; // fat point at origin
    list L; // optional skips
    def S = arc(I, J, L); // same as def S = arc(I,J);
    setring S;
    ideal A = arcideal;
    S;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 8
    ==> //        block   1 : ordering dp
    ==> //                  : names    a1 a2 a3 a4 a5 a6 a7 a8
    ==> //        block   2 : ordering C
    A;
    ==> A[1]=a1^4+a2^3
    ==> A[2]=4*a1^3*a3+3*a2^2*a4
    ==> A[3]=4*a1^3*a5+3*a2^2*a6
    ==> A[4]=12*a1^2*a3*a5+4*a1^3*a7+6*a2*a4*a6+3*a2^2*a8

User manual for Singular version 4.4.1, 2025, generated by texi2html.